# GameCodes (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.game.data
Interface GameCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes

All Known Implementing Classes:
  CardGameManager, GameManager, PuzzleManager

    public interface GameCodes

extends com.threerings.presents.data.InvocationCodes

Constants relating to the game services.

Field Summary
`static String` `GAME_CHAT_TYPE` A chat type for chatting on the game object.
`static String` `GAME_MESSAGE_BUNDLE` The message bundle identifier for general game messages.
`static String` `PLAYER_KNOCKED_OUT` The name of the message event to a placeObject that a player was knocked out of a puzzle.
`static String` `WINNERS_AND_LOSERS` The name of the message event to a placeObject that reports the winners and losers of a game.

Fields inherited from interface com.threerings.presents.data.InvocationCodes
`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

Field Detail

### GAME_MESSAGE_BUNDLE

    static final String GAME_MESSAGE_BUNDLE

  The message bundle identifier for general game messages.

  See Also:
    Constant Field Values

### PLAYER_KNOCKED_OUT

    static final String PLAYER_KNOCKED_OUT

  The name of the message event to a placeObject that a player was knocked out of a puzzle.

  See Also:
    Constant Field Values

### WINNERS_AND_LOSERS

    static final String WINNERS_AND_LOSERS

  The name of the message event to a placeObject that reports the winners and losers of a game.

  See Also:
    Constant Field Values

### GAME_CHAT_TYPE

    static final String GAME_CHAT_TYPE

  A chat type for chatting on the game object.

  See Also:
    Constant Field Values

Copyright © 2011. All Rights Reserved.